@import '_content/MECSRCL/MECSRCL.309tzk4oka.bundle.scp.css';

/* /Components/AutoRunButton.razor.rz.scp.css */
#auto-run-wrapper[b-r6co6j00le] {
    width: 8vw !important;
    border-radius: 1em;
    border: .1em solid var(--color-main);
    z-index: 9000;
    overflow: hidden;
}

.timer-form[b-r6co6j00le] {
    position: relative;
    display: flex;
    flex-direction: row;
    background-color: var(--color-bg-less);
    justify-content: center;
    border-radius: 1em;
    border: .1em solid var(--color-main);
    z-index: 9002;
    transition: background 0.3s ease;
}

[b-r6co6j00le] svg {
    height: 1.5vh;
    margin-left: .5vw;
    box-sizing: border-box;
    fill: var(--color-fg);
}

button[b-r6co6j00le] {
    background: none;
    border: none;
    padding: 0;
    margin: 0;
    border-right: .1em solid var(--color-bg);
    height: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
    width: 2vw;
}

[b-r6co6j00le] select {
    background: none;
    outline: none;
    border: none;
    margin-left: .5vw;
    margin-right: .5vw;
    font-size: 1.5vh;
}

[b-r6co6j00le] select:focus {
    outline: none !important;
}

.pause-button[b-r6co6j00le] {
    display: none;
}
/* /Components/Forms/CreateUserForm.razor.rz.scp.css */
body[b-jzfdox8wmx] {
}
/* /Components/Forms/CustomStyleForm.razor.rz.scp.css */
body[b-1iy6x8el8b] {
}
/* /Components/Forms/DeleteUserForm.razor.rz.scp.css */
body[b-yvf34qba8c] {
}
/* /Components/Forms/UserSettingsForm.razor.rz.scp.css */
body[b-5u4qvhyft2] {
}
/* /Components/Items/MachineItem.razor.rz.scp.css */
#machine-item[b-k83dr2ypga] {
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: row;
    width: 85%;
    padding-top: 1vh;
}

#machine-item #image[b-k83dr2ypga] {
    display: flex;
    align-items: center;
    justify-content: center;
    width: 22.22%;
}

#text[b-k83dr2ypga] {
    display: flex;
    flex-direction: column;
    width: 44.44%;
}

[b-k83dr2ypga] #title {
    width: 100%;
    max-width: 100%;
    display: inline-block;
    font-weight: bold;
    font-size: 2.5vh;
    transition: text-decoration .35s ease-in;
    width: fit-content;
    text-decoration: none;
    color: var(--color-fg);
    overflow: hidden;
    white-space: nowrap;
    text-overflow: ellipsis;
}

[b-k83dr2ypga] #title::after {
    content: '';
    width: 0px;
    height: 1px;
    display: block;
    background: var(--color-fg);
    transition: 300ms;
}

[b-k83dr2ypga] #title:hover::after {
    width: 100%;
}

[b-k83dr2ypga] #title:hover {
    background-color: none;
}

#text #short-id[b-k83dr2ypga], #text #long-id[b-k83dr2ypga] {
    font-weight: 300;
    font-size: 1.5vh;
}

#hours[b-k83dr2ypga] {
    width: 22.22%;
    display: flex;
    justify-content: center;
    font-size: 3vh;
    font-weight: bold;
    align-items: center;
}

#lights[b-k83dr2ypga] {
    width: 11.11%;
    display: flex;
    flex-direction: column;
    align-items: center;
}

#lights #warning[b-k83dr2ypga], #lights #error[b-k83dr2ypga] {
    position: relative; 
    justify-content: center;
    display: flex;
    align-items: center;
    box-sizing: border-box;
    overflow: visible;
}

#lights #error > span[b-k83dr2ypga], #lights #warning > span[b-k83dr2ypga] {
    text-align: right;
    width: 1vw;
}

#lights[b-k83dr2ypga]  svg {
    padding-right: .5vw;
    height: 3vh;
}

#warning[b-k83dr2ypga]  svg {
    fill: #D1AD48;
}

#lights #error[b-k83dr2ypga] {
    margin-top: 1vh;
}

#error[b-k83dr2ypga]  svg {
    fill: #D14848;
}

.n-early[b-k83dr2ypga], .early[b-k83dr2ypga] {
    right: .25vw;
    position: absolute;
    display: flex;
    flex-direction: column;
    width: 16vw;
    overflow: hidden;
    padding: 1vh .5vw 1vh .5vw;
    border-radius: .5em;
    z-index: 1000;
}

.n-early[b-k83dr2ypga] {
    top: -240%;
}

.early[b-k83dr2ypga] {
    top: 100%;
}

#warning-floater[b-k83dr2ypga] {
    background: #D1AD48;
}

#error-floater[b-k83dr2ypga] {
    background: #D14848;
}

hr[b-k83dr2ypga] {
    padding: 0;
    margin: 0;
}

[b-k83dr2ypga] a:has(svg) {
    display: flex;
    align-items: center;
}
/* /Components/Items/NewsItem.razor.rz.scp.css */
#news-item[b-yk4t8j8l7q] {
    display:flex;
    flex-direction: row;
    width: 100%;
}

#date[b-yk4t8j8l7q] {
    flex: 0;
    flex-grow: 1;
    height: 80%;
    width: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    padding-right: .5vw;
    font-weight: bold;
}

#month[b-yk4t8j8l7q] {
    font-size: larger;
}

#day[b-yk4t8j8l7q] {
    font-size: xx-large;
}

#info[b-yk4t8j8l7q] {
    flex: 0;
    flex-grow: 4;
    display: flex;
    height: 100%;
    width: 100%;
    flex-direction: column;
}

#text[b-yk4t8j8l7q] {
    display: -webkit-box;
    -webkit-box-orient: vertical;
    -webkit-line-clamp: 3;
    overflow: hidden;
    font-size: 1.75vh;
    padding-bottom: .5vh;
}

#time[b-yk4t8j8l7q] {
    color: var(--color-grey1);
    font-size: 1.75vh;
}
/* /Components/MachinesComponents/DiagnosisComponent.razor.rz.scp.css */
#diagnosis-wrapper[b-eobz5y4xk9] {
    height: 100%;
    width: 100%;
    display: flex;
    flex-direction: column;
}

#diagnosis-graph-wrapper[b-eobz5y4xk9], #diagnosis-battery-wrapper[b-eobz5y4xk9], #diagnosis-bms-wrapper[b-eobz5y4xk9] {
    box-sizing: border-box;
    height: 33%;
    width: 100%;
    padding: .5vh 0 .5vh 0;
    font-size: 3vw;
    display: flex;
    justify-content: center;
    align-items: center;
}

#diagnosis-graph-wrapper > div:first-child[b-eobz5y4xk9], #diagnosis-battery-wrapper > div:first-child[b-eobz5y4xk9], #diagnosis-bms-wrapper > div:first-child[b-eobz5y4xk9]{
    width: 100%;
    height: 100%;
    position: relative;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
}

#motor-graph[b-eobz5y4xk9], #diagnosis-battery-graph[b-eobz5y4xk9], #bms-graph[b-eobz5y4xk9] {
    width: 100%;
    height: 100%;
    position: absolute;
    bottom: 0;
    display: flex;
    justify-content: center;
    align-items: center;
    font-size: 2vh;
    overflow: hidden;
}

#motor-graph > span[b-eobz5y4xk9], #diagnosis-battery-graph > span[b-eobz5y4xk9], #bms-graph > span[b-eobz5y4xk9] {
    color: var(--color-grey1);
}

.timer-button-div[b-eobz5y4xk9] {
    width: fit-content !important;
    height: fit-content !important;
    position: absolute;
    right: 140px;
    font-size: 1.5vh;
    font-weight: bold;
    color: var(--color-grey1);
    z-index: 10000;
}

#motor-button-div[b-eobz5y4xk9] {
    top: .6vh;
}

#battery-button-div[b-eobz5y4xk9] {
    top: 1.2vh;
}

#diverse-wrapper[b-eobz5y4xk9] {
    height: 33%;
    width: 100%;
    display:flex;
    padding-top: .5vh;
    flex-direction: row;
    box-sizing: border-box;
    font-size: 1vw;
}

#diverse-wrapper > div[b-eobz5y4xk9] {
    width: 100%;
    height: 100%;
    padding-right: 1vh;
}

#lvbv[b-eobz5y4xk9],#hvbt[b-eobz5y4xk9]{
    position:relative;
    border-radius: 1em;
    height: 100%;
    width: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
    text-align: center;
}

.title[b-eobz5y4xk9] {
    position: absolute;
    top: .5vh;
    left: .5vw;
    font-size: 1.5vh;
    font-weight: bold;
    color: var(--color-grey1);
    z-index: 10000;
}

.value[b-eobz5y4xk9] {
    font-size: 3vh;
}

.value span[b-eobz5y4xk9] {
    font-size: 5vh;
}

.block[b-eobz5y4xk9] {
    background-color: var(--color-bg-less);
    border-radius: .25em;
    box-shadow: 1.6px 1.7px 2.1px rgba(0, 0, 0, 0.053), 4px 4.3px 5.2px rgba(0, 0, 0, 0.075), 8.2px 8.9px 10.6px rgba(0, 0, 0, 0.095), 16.8px 18.3px 21.9px rgba(0, 0, 0, 0.117), 46px 50px 60px rgba(0, 0, 0, 0.17);
}

.svg-icon[b-eobz5y4xk9] {
    width: 1.5vh;
    height: 1.5vh;
    vertical-align: middle;
    overflow: hidden;
}
/* /Components/MachinesComponents/MaintenanceComponent.razor.rz.scp.css */
#maintenance-wrapper[b-v7risow01s] {
    height: 100%;
    width: 100%;
    display: flex;
    flex-direction: column;
    box-sizing: border-box;
}

#maintenance-hours[b-v7risow01s],#maintenance-kilometers[b-v7risow01s] {
    width: 100%;
    height: 15%;
    position: relative;
    box-sizing: border-box;
}

.numbers[b-v7risow01s] {
    font-weight: bold;
    font-size: 2vh;
    height: 25%;
    width: 100%;
    position: relative;
}

.bars[b-v7risow01s] {
    border-radius: 1em;
    height: 50%;
    position: relative;
    box-shadow: 1.6px 1.7px 2.1px rgba(0, 0, 0, 0.053), 4px 4.3px 5.2px rgba(0, 0, 0, 0.075), 8.2px 8.9px 10.6px rgba(0, 0, 0, 0.095), 16.8px 18.3px 21.9px rgba(0, 0, 0, 0.117), 46px 50px 60px rgba(0, 0, 0, 0.17);
}

.bars div[b-v7risow01s] {
    border-radius: .5rem;
    position: absolute;
    height: 100%;
}

.bars div:nth-child(2)[b-v7risow01s] {
    background-color: var(--color-main-dark);
    
}

.main-bar[b-v7risow01s] {
    width: 100%;
    height: 100%;
    background-color: var(--color-bg-less);
}

.main-numbers[b-v7risow01s] {
    position: absolute;
    top: 1.25vh;
    display: flex;
    flex-direction: row;
    width: 100%;
    justify-content: space-between;
    align-items: end;
    line-height: 1.25vh;
}

.text[b-v7risow01s] {
    height: 25%;
    font-size: 1.5vh;
    display: flex;
    justify-content: center;
}

#table-div[b-v7risow01s] {
    background-color: var(--color-bg-less);
    margin-top: 2vh;
    box-sizing: border-box;
    width: 100%;
    height: 60%;
    overflow-y: scroll;
    border-radius: 1em;
    box-shadow: 1.6px 1.7px 2.1px rgba(0, 0, 0, 0.053), 4px 4.3px 5.2px rgba(0, 0, 0, 0.075), 8.2px 8.9px 10.6px rgba(0, 0, 0, 0.095), 16.8px 18.3px 21.9px rgba(0, 0, 0, 0.117), 46px 50px 60px rgba(0, 0, 0, 0.17);
}

[b-v7risow01s] #table-div > div {
    background-color: var(--color-bg-less);
    color: var(--color-fg);
    border-radius: 1em;
    height: 100%;
    width: 100%;
}

#table-div[b-v7risow01s]::-webkit-scrollbar {
    display: none;
}

[b-v7risow01s] #table-div > div > * {
    width: 100%;
}

[b-v7risow01s] tr th, [b-v7risow01s] tr td {
    padding: 1% 0 1% 2%;
    border-bottom: 1px inset;
    border-color: rgba(255,255, 255, 0.1);
    min-width: 2vw;
    max-width: 80%;
}


[b-v7risow01s] td tr * {
    padding: .5vh 0 0 .5vw;
    box-sizing: border-box;
}

.padder-class[b-v7risow01s],.padder-class-table[b-v7risow01s] {
    width: 100%;
    height: 100%;
    box-sizing: border-box;
}

#hours-number-now[b-v7risow01s], #kilometers-number-now[b-v7risow01s] {
    position: absolute;
    top: 1.25vh;
    line-height: 1.25vh;
    text-align: right;
    width: 14%;
    z-index: 1000;
}

#shop-div[b-v7risow01s] {
    height: 10%;
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
}

a[b-v7risow01s] {
    text-decoration: none;
    display: flex;
    justify-content: center;
    align-items: center;
    width: 6vw;
    height: 5vh;
    font-weight: bolder;
    font-size: 2vh;
    background-color: var(--color-main);
    color: white;
    border: 0;
    border-radius: 1em;
    color: var(--color-fg); 
    transition:  .35s;
}

a:hover[b-v7risow01s] {
    color: var(--color-main);
    background-color: grey;
}
/* /Components/MachinesComponents/MapComponent.razor.rz.scp.css */
.map[b-4wdu49rx61] {
    width: 100%;
    height: 100%;
}

.map[b-4wdu49rx61] >  #machine-map {
    width: 100%;
    height: 100%;
}
/* /Components/MachinesComponents/OperationsComponent.razor.rz.scp.css */
#operations-wrapper[b-q9q6djro0k] {
    height: 100%;
    width: 100%;
    display: flex;
    flex-direction: column;
    gap: 1vh;
}

/* rows */
#operations-wrapper > div[b-q9q6djro0k] {
    display: flex;
    flex-direction: row;
    height: 25%;
    width: 100%;
    gap: .5vw;
}

#operations-wrapper > div:first-child[b-q9q6djro0k] {
    height: 50%;
    position: relative;
}

/* divs for padding */
#operations-wrapper > div > div[b-q9q6djro0k] {
    border-radius: .25em;
    position: relative;
    height: 100%;
    width: 100%;
    box-sizing: border-box;
}

/* value boxes fixed width */
#operations-wrapper > div:nth-child(2) > div[b-q9q6djro0k],
#operations-wrapper > div:nth-child(3) > div[b-q9q6djro0k] {
    width: 25%;
    height: 100%;
    box-sizing: border-box;
}

/* blocks */
#operations-wrapper > div > div > div[b-q9q6djro0k] {
    height: 100%;
    width: 100%;
    background-color: var(--color-bg-less);
    border-radius: 1em;
    display: flex;
    justify-content: center;
    align-items: center;
    box-shadow: 1.6px 1.7px 2.1px rgba(0, 0, 0, 0.053), 4px 4.3px 5.2px rgba(0, 0, 0, 0.075), 8.2px 8.9px 10.6px rgba(0, 0, 0, 0.095), 16.8px 18.3px 21.9px rgba(0, 0, 0, 0.117), 46px 50px 60px rgba(0, 0, 0, 0.17);
}

/* title */
#operations-wrapper div div:first-child > span[b-q9q6djro0k] {
    position: absolute;
    top: .5vh;
    left: .5vw;
    font-size: 1.5vh;
    font-weight: bold;
    color: var(--color-grey1);
    z-index: 10000;
}

.timer-button-div[b-q9q6djro0k] {
    width: fit-content !important;
    height: fit-content !important;
    position: absolute !important;
    top: 2vh;
    right: 140px;
    font-size: 1.5vh;
    font-weight: bold;
    color: var(--color-grey1);
    z-index: 10000;
}

/* Battery error text */
#operations-wrapper > div:first-child div div:last-child > span[b-q9q6djro0k] {
    font-size: 2vh;
    color: var(--color-grey1);
}

#operations-wrapper > div:not(:first-child) > div[b-q9q6djro0k] {
    padding: 0 .25vw 0 .25vw;
}

#operations-wrapper > div:not(:first-child) > div:first-child[b-q9q6djro0k] {
    padding: 0 .25vw 0 0;
}

#operations-wrapper > div:not(:first-child) > div:last-child[b-q9q6djro0k] {
    padding: 0 0 0 .25vw;
}

.svg-icon[b-q9q6djro0k] {
    width: 1.5vh;
    height: 1.5vh;
    vertical-align: middle;
    overflow: hidden;
}
/* /Components/MachinesComponents/OwnerComponent.razor.rz.scp.css */
#owner-wrapper[b-0nip7ng5f2] {
    width: 100%;
    height: 100%;
    position: relative;
    display: flex;
    justify-content: center;
    align-items: center;
}

#owner-wrapper > button[b-0nip7ng5f2] {
    position: absolute;
    top: 1vh;
    left: .25vw;
}

[b-0nip7ng5f2] form {
    width: 50%;
    display: flex;
    flex-direction: column;
    gap: 2vh;
}

[b-0nip7ng5f2] .mecs-input {
    height: 4vh;
}

[b-0nip7ng5f2] form > div:last-of-type {
    width: 100%;
    display: flex;
    flex-direction: column;
    align-items: center;
}
/* /Components/MachinesComponents/SettingsComponent.razor.rz.scp.css */
#settings-wrapper[b-gkms46zgwk] {
    width: 100%;
    height: 100%;
    display: flex;
    flex-direction: column;
}

#settings-wrapper > div[b-gkms46zgwk] {
    flex: 0;
    flex-grow: 1;
    width: 100%;
    height: 50%;
    box-sizing: border-box;
    border-radius: 1em;
    background-color: var(--color-bg-less);
    display: flex;
    justify-content: center;
    align-items: center;
    font-size: 100%;
    box-shadow: 1.6px 1.7px 2.1px rgba(0, 0, 0, 0.053), 4px 4.3px 5.2px rgba(0, 0, 0, 0.075), 8.2px 8.9px 10.6px rgba(0, 0, 0, 0.095), 16.8px 18.3px 21.9px rgba(0, 0, 0, 0.117), 46px 50px 60px rgba(0, 0, 0, 0.17);
}

[b-gkms46zgwk] #settings-form {
    width: 50%;
    display: flex;
    flex-direction: column;
    justify-content: space-evenly;
    gap: 2vh;
}

.form-group[b-gkms46zgwk] {
    width: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
    box-sizing: border-box;
}

[b-gkms46zgwk] #settings-form .form-group label {
    display: inline-block;
    width: 10vw;
}

[b-gkms46zgwk] #settings-wrapper div:last-child {
    height: 100%;
    flex: 0;
    flex-grow: 1;
}

[b-gkms46zgwk] input {
    font-size: 2vh;
    width: 50%;
}

#errors[b-gkms46zgwk] {
    display:flex;
    justify-content: center;
    align-items: center;
}

label[b-gkms46zgwk], [b-gkms46zgwk] input {
    box-shadow:none;
}

.form-group:last-of-type div[b-gkms46zgwk] {
    width: 50%;
}

[b-gkms46zgwk] .mecs-input {
    height: 4vh;
}
/* /Pages/Account.razor.rz.scp.css */
#account-wrapper[b-ojzf75w6no] {
    width: 100%;
    height: 100%;
    display: flex;
    flex-direction: column;
    align-items: center;
}

h2[b-ojzf75w6no] {
    text-align: center;
    width: 50%;
    color: var(--color-main-light);
}

#settings-styles-form[b-ojzf75w6no] {
    width: 100%;
    display: flex;
    flex-direction: column;
    justify-content: space-evenly;
}

.form:not(div:first-child) > div[b-ojzf75w6no] {
    margin-top: 2vh;
}

.form .form-row[b-ojzf75w6no] {
    width: 100%;
    display: flex;
    flex-direction: row;
}

.form-group[b-ojzf75w6no] {
    width: 100%;
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 0 1vw 0 1vw;
    box-sizing: border-box;
}

.form-group.hidden[b-ojzf75w6no] {
    visibility: hidden;
}

[b-ojzf75w6no] .inputs {
    height: 4vh !important;
    width: 20vw !important;
}

.form .form-group label[b-ojzf75w6no] {
    display: inline-block;
    box-sizing: border-box;
}

.user-form .form-group label[b-ojzf75w6no] {
    min-width: 16vw;
}

.user-form .form-group[b-ojzf75w6no]  select {
    min-width: 5vw;
}

.style-form .form-group label[b-ojzf75w6no] {
    width: 10vw;
}

label img[b-ojzf75w6no] {
    padding-left: .25vw;
    max-height: 1.25vh;
}

.button-div[b-ojzf75w6no] {
    display: flex;
    width: 100%;
    align-items: flex-end;
    margin-bottom: 2vh;
}

.button-div span[b-ojzf75w6no] {
    padding-left: .5vw;
    font-size: 1vh;
    color: var(--color-grey1);
}

button[b-ojzf75w6no] {
    width: 5vw;
    height: 4vh;
    border-radius: .5em;
}

#errors[b-ojzf75w6no] {
    display: flex;
    justify-content: center;
    align-items: center;
}

.image-label[b-ojzf75w6no] {
    visibility: hidden;
}

.upload-row[b-ojzf75w6no] {
    margin-top: .5vh !important;
}

.images-row .form-group div[b-ojzf75w6no] {
    border-style: dashed;
    border-color: var(--color-grey1);
    border-width: .2vh .1vw .2vh .1vw;
    width: 20vw;
    height: 20vh;
    display: flex;
    justify-content: center;
    align-items: center;
}

.images-row img[b-ojzf75w6no] {
    max-height: 20vh;
    max-width: 20vw;
}

space[b-ojzf75w6no] {
    width: 10vw;
    display: inline-block;
}

.user-form option[b-ojzf75w6no] {
    text-align: center;
}

.svg-icon[b-ojzf75w6no] {
    width: 1em;
    height: 1em;
    vertical-align: middle;
    overflow: hidden;
}
/* /Pages/Admin.razor.rz.scp.css */
#admin[b-gm5dx64zra] {
    width: 100%;
    height: 100%;
    display: flex;
    flex-direction: column;
    align-items: center;
}

#admin > div[b-gm5dx64zra] {
    width: 80%;
}

h2[b-gm5dx64zra] {
    text-align: center;
    width: 100%;
    color: var(--color-main-light);
}
/* /Pages/Dashboard.razor.rz.scp.css */
#dashboard[b-uvrudtct71] {
    display: flex;
    flex-direction: row;
    width: 100%;
    height: 100%;
}

#dashboard-main[b-uvrudtct71] {
    display: flex;
    flex-direction: column;
    height: 100%;
    width: 75%;
}

#news[b-uvrudtct71] {
    width: 25%;
    height: 100%;
    box-sizing: border-box;
    display: flex;
    flex-direction: column;
    align-items: center;
    margin-right: 0 !important;
}

.news-item-wrapper[b-uvrudtct71] {
    width: 80%;
    padding: 1vh 01vh 0;
    border-bottom: .15vh solid var(--color-grey2);
}

#info[b-uvrudtct71] {
    height: 100%;
    width: 100%;
    display: flex;
    flex-direction: row;
}

#fleet[b-uvrudtct71] {
    align-items: center;
    height: 61vh;
    width: calc(20% - .8vw); /*Spacing around operator!!!!!*/
    display: flex;
    flex-direction: column;
    margin-left: 0 !important;
}

#fleet-center[b-uvrudtct71] {
    display: flex;
    height: 100%;
    flex-direction: column;
    justify-content: center;
    font-weight: bold;
}

.fleet-child[b-uvrudtct71] {
    display: flex;
    flex-direction: column;
    align-items: center;
    padding: 2vh 0 2vh 0
}

.fleet-child > span:first-child[b-uvrudtct71] {
    padding: 0;
    font-size: 6vh;
    margin:0;
    line-height: 5vh;
}

.fleet-child > span:nth-child(2)[b-uvrudtct71] {
    font-size: 3vh;
    line-height: 4vh;
}

.fleet-child > span:nth-child(3)[b-uvrudtct71] {
    font-weight: bold;
    font-size: 1.5vh;
}

#machines[b-uvrudtct71] {
    align-items: center;
    height: 100%;
    width: 80%;
    display: flex;
    flex-direction: column;
}

#items[b-uvrudtct71] {
    height: 100%;
    width: 100%;
    display: flex;
    flex-direction: row;
}

[b-uvrudtct71] .nav-link {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    list-style: none;
    text-decoration: none;
}

[b-uvrudtct71] .nav-link span {
    color: var(--color-fg);
    font-size: x-large;
}

[b-uvrudtct71] .nav-link img {
    width: 50%;
}

.block[b-uvrudtct71] {
    background-color: var(--color-bg-less);
    border-radius: 1em;
    margin: 1vh .5vw 1vh .5vw;
    overflow: auto;
    width: 100%;
    box-shadow: 1.6px 1.7px 2.1px rgba(0, 0, 0, 0.053), 4px 4.3px 5.2px rgba(0, 0, 0, 0.075), 8.2px 8.9px 10.6px rgba(0, 0, 0, 0.095), 16.8px 18.3px 21.9px rgba(0, 0, 0, 0.117), 46px 50px 60px rgba(0, 0, 0, 0.17);
}

.block[b-uvrudtct71]::-webkit-scrollbar {
    display: none;
}

.machine-item-wrapper[b-uvrudtct71] {
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
}

#machine-items .machine-item-wrapper:last-of-type[b-uvrudtct71] {
    padding-bottom: 1vh;
}

#machine-items[b-uvrudtct71], #news-items[b-uvrudtct71] {
    width: 100%;
    height: 100%;
    flex-direction: column;
    display: flex;
    align-items: center;
}

.title-wrapper[b-uvrudtct71] {
    background-color: var(--color-bg-less);
    box-sizing: border-box;
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
    position: sticky;
    top: 0;
    z-index: 1000;
}

.title-wrapper > span[b-uvrudtct71] {
    width: 80%;
    display: flex;
    justify-content: center;
    border-bottom: .3vh solid var(--color-main-light);
    box-sizing: border-box;
}

.title[b-uvrudtct71] {
    line-height: 8vh;
    height: 8vh;
    font-size: 4vh;
    font-weight: bold;
}
/* /Pages/Documents.razor.rz.scp.css */
#documents-wrapper[b-7tng56gsy5] {
    width: 100%;
    height: 100%;
    display: flex;
    flex-direction: row;
    gap: .5vw;
    box-sizing: border-box;
}

[b-7tng56gsy5] .table-holder,#preview-wrapper[b-7tng56gsy5] {
    box-sizing: border-box;
    height: 100%;
}

[b-7tng56gsy5] .table-holder {
    width: 50%;
}

#preview-wrapper[b-7tng56gsy5] {
    width: 50%;
}

[b-7tng56gsy5] .table-holder,#preview-div[b-7tng56gsy5] {
    box-sizing: border-box;
    height: 100%;
    background-color: var(--color-bg-less);
}

[b-7tng56gsy5] td,[b-7tng56gsy5] th{
    box-sizing: border-box;
    height: 3vh;
}

#preview-div[b-7tng56gsy5] {
    width: 100%;
    height: 100%;
    overflow-y:scroll;
    overflow-x: scroll;
    display: flex;
    justify-content: center;
    align-items: center;
}

#preview-div[b-7tng56gsy5] >  .blazorpdf-container {
    width: 100%;
    height: 100%;
}

#preview-div[b-7tng56gsy5]  i, #preview-div[b-7tng56gsy5] >  div > div > div {
    color: var(--color-main-dark);
}

button[b-7tng56gsy5] {
    height: 100%;
    aspect-ratio: 1/1;
    border: 0;
    border-radius: .5em;
    background-color: var(--color-main);
    transition: .25s;
}

[b-7tng56gsy5] #table-holder button:hover {
    background-color: var(--color-main) !important;
}

button[b-7tng56gsy5]  svg {
    fill: var(--color-fg);
    height: 70%;
}

[b-7tng56gsy5] .blazorpdf-toolbar {
    height: 8%;
}

[b-7tng56gsy5] .blazorpdf-pdf {
    height: 92%;
}

[b-7tng56gsy5] .blazorpdf-container button {
    background-color: inherit !important;
    color: inherit;
}

[b-7tng56gsy5] .blazorpdf-toolbar__item-button:focus,
[b-7tng56gsy5] .blazorpdf-toolbar__menu-trigger-button:focus {
    outline: none !important;
}

[b-7tng56gsy5] .blazorpdf-toolbar__item input {
    padding: 0;
    max-width: 3vw;
}

[b-7tng56gsy5] .blazorpdf-search-row > div {
    z-index: 1000;
}
/* /Pages/Helpdesk.razor.rz.scp.css */
#helpdesk-wrapper[b-7lgh0exsam] {
    height: 100%;
    width: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
}

#helpdesk-wrapper[b-7lgh0exsam] >  form {
    display: flex;
    flex-direction: column;
    width: 60%;
    height: 100%;
    box-sizing: border-box;
}

.form-group[b-7lgh0exsam] {
    display:flex;
    flex-direction: column;
}

.label-div[b-7lgh0exsam] {
    display: flex;
    flex-direction: row;
    align-items: center;
    box-sizing: border-box;
    height: 100%;
}

.label-div > div[b-7lgh0exsam] {
    display: flex;
    flex-direction: row;
    align-items: center;
    box-sizing: border-box;
    height: 100%;
}

.number-label[b-7lgh0exsam] {
    border-radius: 50%;
    background-color: var(--color-main-dark);
    width: 30px;
    display: flex;
    justify-content: center;
    margin-right: 1vw;
    height: 100%;
    color: white;
}

#button-div[b-7lgh0exsam] {
    display: flex;
    width: 100%;
    justify-content: center;
}

[b-7lgh0exsam] #group {
    padding: 5vh 0 5vh 0;
    display: flex;
    flex-direction: row;
    width: 100%;
    justify-content: center;
    align-items: center;
    justify-content: space-between;
    height: 100%;
}

[b-7lgh0exsam] .radio {
    display:none !important;
}

[b-7lgh0exsam] #group .radio-label {
    display: flex;
    justify-content: center;
    padding-top: 2vh;
    width: 23%;
    background-color: var(--color-main-dark);
    height: 10vh;
    color: white;
    border-radius: 1em;
    text-align: center;
    cursor: pointer;
    box-sizing: border-box;
}

[b-7lgh0exsam] #group .selected {
    padding-top: calc(2vh - .2vh);
    border-width: .2vh .1vw !important;
}

#group div:hover[b-7lgh0exsam] {
    border: 2px solid var(--color-fg);
}

[b-7lgh0exsam] #validation {
    text-align: right;
}

.label-div > *:last-child[b-7lgh0exsam] {
    text-align: right;
}

#model-div[b-7lgh0exsam] {
    padding: 2vh 0 2vh 0;
    width: 100%;
}

#description-div[b-7lgh0exsam] {
    padding: 2vh 0 2vh 0;
    display: flex;
    flex-direction: column;
}

[b-7lgh0exsam] input, [b-7lgh0exsam] textarea {
    border: none;
    height: 4vh;
    background-color: var(--color-bg-less);
    color: var(--color-fg);
    border-radius: .5em;
    border-style: solid;
    border-color: var(--color-fg);
    border-width: .1vh .05vw .1vh .05vw;
    width: 100%;
}

[b-7lgh0exsam] textarea {
    margin-top: 2vh;
    height: 8vh
}

[b-7lgh0exsam] .modified.valid, [b-7lgh0exsam] .invalid {
    border: 0;
}

[b-7lgh0exsam] .validation-message {
    padding-left: 1vw;
}
/* /Pages/Machine.razor.rz.scp.css */
#machine-wrapper[b-cr6cwcd4ry] {
    box-sizing: border-box;
    width: 100%;
    height: 100%;
    display:flex;
    flex-direction: row;
    gap: 1vw;
}

#info-div[b-cr6cwcd4ry] {
    box-sizing: border-box;
    height: 100%;
    display: flex;
    flex-direction: column;
    flex: 0;
    flex-grow: 1.5;
    gap: 1vh;
}

.info-div-value-wrapper[b-cr6cwcd4ry] {
    box-sizing: border-box;
    height: 13.3333%;
    display: flex;
    padding-top: 2%;
}

#image-div[b-cr6cwcd4ry] {
    position:relative;
    flex:0;
    flex-grow: 3;
    height: 60%;
}

#image-status-div[b-cr6cwcd4ry] {
    position: absolute;
    left: 0;
    top: 0;
    margin: 1vh 0 0 .5vw;
    display: flex;
    justify-content: center;
    align-items: center;
    user-select: none;
}

#image-status-div span[b-cr6cwcd4ry] {
    margin-left: .5vw;
    font-size: 1vw;
    font-weight: bold;
    color: white;
}

#image-status-div[b-cr6cwcd4ry]  svg {
   height: 4vh;
}

.image-image-div#tt22e[b-cr6cwcd4ry] {
    background-image: url("images/tt22e.avif");
}

.image-image-div#tt40e[b-cr6cwcd4ry] {
    background-image: url("images/tt40e.avif");
}

.image-image-div#tt30e[b-cr6cwcd4ry] {
    background-image: url("images/tt30e.avif");
}

.image-image-div[b-cr6cwcd4ry] {
    background-repeat: no-repeat;
    height: 100%;
    border-radius: var(--value-border-radius);
    background-size: cover;
    background-position: center;
    user-select: none;
}

#image-data-div[b-cr6cwcd4ry] {
    position: absolute;
    left: 0;
    bottom: 0;
    margin: 0;
    display: flex;
    flex-direction:row;
    justify-content: center;
    align-items: center;
    min-width: 10vw;
}

#image-data-div div[b-cr6cwcd4ry] {
    min-width: 5vw;
    display: flex;
    justify-content: center;
    align-items: center;
    width: 50%;
    margin-left: .5vw;
    margin-bottom: 1vh; 
    background-color: var(--color-bg-less);
    padding: 1vh 0 1vh 0;
    font-size: 1.5vw;
    border-radius: var(--value-s-border-radius);
}

#image-data-div div:first-of-type[b-cr6cwcd4ry] {
    padding: 1vh .5vw 1vh .5vw;
}

[b-cr6cwcd4ry] .value-holder {
    box-sizing: border-box;
    flex: 0;
    flex-grow: 1;
    z-index: 1;
}

#machine-wrapper[b-cr6cwcd4ry] >  div:last-of-type {
    flex: 0;
    flex-grow: 3;
}
/* /Pages/Machines.razor.rz.scp.css */
#machines-wrapper[b-qtk3dxcc8y] {
    height: 100%;
    width: 100%;
    display:flex;
    justify-content:center;
    flex-direction: row;
}

#machines-wrapper > div:first-of-type[b-qtk3dxcc8y] {
    width: 40%;
}

#machines-wrapper[b-qtk3dxcc8y] >  div:last-of-type {
    width: 60%;
    height: 100%;
}

#machines[b-qtk3dxcc8y] {
    height: 100%;
    overflow: auto;
    display: flex;
    flex-direction: column;
    align-items: center;
    margin-right: .5vw;
    background-color: var(--color-bg-less);
    border-radius: 1em;
}

#machines[b-qtk3dxcc8y]::-webkit-scrollbar {
    display: none;
}

.machine-item-wrapper[b-qtk3dxcc8y] {
    width: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
}

#machine-items[b-qtk3dxcc8y] {
    padding-bottom: 1vh;
    width: 100%;
}

.no-items-div[b-qtk3dxcc8y] {
    width: 100%;
    height: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
}
/* /Pages/Settings.razor.rz.scp.css */
#settings-wrapper[b-7muijsrng0] {
    width: 100%;
    height: 100%;
    display: flex;
    flex-direction: column;
    align-items: center;
}

    #settings-wrapper > div[b-7muijsrng0] {
        width: 80%;
    }

h2[b-7muijsrng0] {
    text-align: center;
    width: 100%;
    color: var(--color-main-light);
}
